Skip to content

Customer ​

9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getCustomersInGlobalHaveSiteTemplateModifyGETObtain the customer ID with permission to modify site templates
getCustomerListGETGet customer list
createCustomerPOSTCreate new customer
deleteCustomerDELETEDelete an existing customer
getCustomerDetailGETGet customer info
modifyCustomerPATCHModify an existing customer
favoriteCustomerPOSTFavorite a customer
cancelFavoriteCustomerPOSTCancel a favorite customer
copyCustomerPOSTCreate a customer by copying from existing customer

getCustomersInGlobalHaveSiteTemplateModify ​

GET /openapi/v1/{omadacId}/copy/site/template/batch/customers

Obtain the customer ID with permission to modify site templates

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getCustomersInGlobalHaveSiteTemplateModify"
}
Details, permissions and error codes

Obtain the IDs of customers whose site templates the current user has permission to modify.
The interface requires one of the permissions:
Global Site Template Manager Modify

getCustomerList ​

GET /openapi/v1/msp/{mspId}/customers

Get customer list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name
json
// omada_call_operation
{
  "operationId": "getCustomerList"
}
Details, permissions and error codes

Get customer list
The interface requires one of the permissions:
MSP Dashboard View Only

createCustomer ​

POST /openapi/v1/msp/{mspId}/customers

Create new customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema CustomerOpenApiVO

FieldTypeRequiredDescription
customerNamestringnoCustomer name should contain 1 to 32 characters.
descriptionstringnoCustomer description should contain 1 to 128 characters.
json
// omada_call_operation
{
  "operationId": "createCustomer",
  "body": "{...}"
}
Details, permissions and error codes

Create new customer(This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.)
The interface requires one of the permissions:
MSP Dashboard Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30145 - The number of omadacs has reached the limit.
-34706 - This name already exists. Please enter another name for this customer.
-44118 - This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.

deleteCustomer ​

DELETE /openapi/v1/msp/{mspId}/customers/{customerId}

Delete an existing customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
json
// omada_call_operation
{
  "operationId": "deleteCustomer",
  "params": {
    "customerId": "<customerId>"
  }
}
Details, permissions and error codes

Delete an existing customer(This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.)
The interface requires one of the permissions:
MSP Dashboard Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34707 - Need to delete all sites of this customer before deleting this customer.
-44118 - This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.

getCustomerDetail ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}

Get customer info

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
json
// omada_call_operation
{
  "operationId": "getCustomerDetail",
  "params": {
    "customerId": "<customerId>"
  }
}
Details, permissions and error codes

Get customer info
The interface requires one of the permissions:
MSP Dashboard View Only

modifyCustomer ​

PATCH /openapi/v1/msp/{mspId}/customers/{customerId}

Modify an existing customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID

Request body — application/json (required) — schema CustomerOpenApiVO

FieldTypeRequiredDescription
customerNamestringnoCustomer name should contain 1 to 32 characters.
descriptionstringnoCustomer description should contain 1 to 128 characters.
json
// omada_call_operation
{
  "operationId": "modifyCustomer",
  "params": {
    "customerId": "<customerId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing customer
The interface requires one of the permissions:
MSP Dashboard Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34706 - This name already exists. Please enter another name for this customer.

favoriteCustomer ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/favorites

Favorite a customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
json
// omada_call_operation
{
  "operationId": "favoriteCustomer",
  "params": {
    "customerId": "<customerId>"
  }
}

cancelFavoriteCustomer ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/favorites/cancels

Cancel a favorite customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
json
// omada_call_operation
{
  "operationId": "cancelFavoriteCustomer",
  "params": {
    "customerId": "<customerId>"
  }
}

copyCustomer ​

POST /openapi/v1/msp/{mspId}/customers/copy

Create a customer by copying from existing customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema CustomerCopyOpenapiVO

FieldTypeRequiredDescription
newCustomerNamestringyesNew Customer name should contain 1 to 31 characters.
descriptionstringnoCustomer description should contain 1 to 128 characters.
sourceCustomerIdstringyesSource customer ID to be copied.
json
// omada_call_operation
{
  "operationId": "copyCustomer",
  "body": "{...}"
}

Released under the MIT License. Not affiliated with or endorsed by TP-Link.